ConstraintsEvaluator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.validation
[Java] Interface ConstraintsEvaluator

    public interface ConstraintsEvaluator

Evaluates and returns constraints.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`java.lang.String` | `BEAN_NAME`
`java.lang.String` | `CONSTRAINTS_GROOVY_SCRIPT`
`java.lang.String` | `PROPERTY_NAME`

Method Summary
`java.util.Map` | `evaluate(java.lang.Class cls)` Evaluate constraints for the given class
`java.util.Map` | `evaluate(GrailsDomainClass cls)` Evaluate constraints for the given class
`java.util.Map` | `evaluate(java.lang.Object object, GrailsDomainClassProperty[] properties)` Evaluate constraints for the given object and properties
`java.util.Map` | `evaluate(java.lang.Class cls, GrailsDomainClassProperty[] properties)` Evaluate constraints for the given Class and properties
`java.util.Map` | `getDefaultConstraints()` The default constraints to use

Field Detail

### BEAN_NAME

    public java.lang.String BEAN_NAME

### CONSTRAINTS_GROOVY_SCRIPT

    public java.lang.String CONSTRAINTS_GROOVY_SCRIPT

### PROPERTY_NAME

    public java.lang.String PROPERTY_NAME

Method Detail

### evaluate

    public java.util.Map evaluate(@java.lang.SuppressWarnings("rawtypes") java.lang.Class cls)

  Evaluate constraints for the given class
  Parameters:
    `cls` - The class to evaluate constraints for
  Returns:
    A map of constrained properties

### evaluate

    public java.util.Map evaluate(GrailsDomainClass cls)

  Evaluate constraints for the given class
  Parameters:
    `cls` - The class to evaluate constraints for
  Returns:
    A map of constrained properties

### evaluate

    public java.util.Map evaluate(java.lang.Object object, GrailsDomainClassProperty[] properties)

  Evaluate constraints for the given object and properties
  Parameters:
    `object` - The object
    `properties` - The domain class properties
  Returns:
    A map of constraints

### evaluate

    public java.util.Map evaluate(java.lang.Class cls, GrailsDomainClassProperty[] properties)

  Evaluate constraints for the given Class and properties
  Parameters:
    `cls` - The object
    `properties` - The domain class properties
  Returns:
    A map of constraints

### getDefaultConstraints

    public java.util.Map getDefaultConstraints()

  The default constraints to use
  Returns:
    A map of default constraints

Groovy Documentation